be.ehealth.technicalconnector.ws.domain

## Enum HandlerPosition

- java.lang.Object
- - java.lang.Enum<HandlerPosition>
  - - be.ehealth.technicalconnector.ws.domain.HandlerPosition

- All Implemented Interfaces:
    Serializable, Comparable<HandlerPosition>

      public enum HandlerPosition
      extends Enum<HandlerPosition>

  Enumartion contains the differents handlers positions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER` Handlers After Security
    `BEFORE` Handlers Before Security
    `SECURITY` Handlers within Security

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static HandlerPosition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HandlerPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE

          public static final HandlerPosition BEFORE

      Handlers Before Security

    - #### SECURITY

          public static final HandlerPosition SECURITY

      Handlers within Security

    - #### AFTER

          public static final HandlerPosition AFTER

      Handlers After Security

  - ### Method Detail

    - #### values

          public static HandlerPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HandlerPosition c : HandlerPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HandlerPosition valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns:
        the name

Connector Packaging PERSPRACTICALNURSE 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.